
Ceph - Feature #3273

mon: simple dm-crypt key management

10/08/2012 03:34 PM - Sage Weil

Status: Need More Info % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Description

ability to (easily, painlessly) slip dm-crypt underneath ceph-osd file systems.

use monitor or separate keyserver for encryption key escrow/lockbox.

think ahead to leveraging disks with encryption functionality using similar infrastructure (e.g., key server).

Related issues:

Blocked by Ceph - Fix #4567: mon: refactor mon caps; allow restriction of key... Resolved

History

#1 - 10/08/2012 03:37 PM - Sage Weil

- Description updated

#2 - 01/18/2013 03:38 PM - Samuel Just

- translation missing: en.field_position deleted (42)

- translation missing: en.field_position set to 25

#3 - 02/13/2013 09:22 AM - Sage Weil

- translation missing: en.field_position deleted (30)

- translation missing: en.field_position set to 1

#4 - 02/17/2013 12:03 AM - Sage Weil

- translation missing: en.field_position deleted (1)

- translation missing: en.field_position set to 141

#5 - 02/17/2013 12:03 AM - Sage Weil

- Subject changed from on-disk at-rest encryption to mon: simple dm-crypt key management

- Status changed from New to 12

#6 - 03/15/2013 02:16 PM - Sage Weil

- Target version set to v0.61 - Cuttlefish

#7 - 03/15/2013 02:28 PM - Sage Weil

- translation missing: en.field_story_points set to 3.00

#8 - 03/15/2013 02:29 PM - Sage Weil

- Assignee set to Sage Weil
#9 - 03/27/2013 10:42 AM - Sage Weil

- Target version deleted (v0.61 - Cuttlefish)

#10 - 06/07/2013 02:07 PM - Sage Weil

- Target version set to v0.66

#11 - 06/07/2013 02:08 PM - Ian Colle

- Assignee changed from Sage Weil to Joao Eduardo Luis

#12 - 06/07/2013 02:15 PM - Sage Weil

- make sure ceph-deploy and chef can use this

#13 - 06/20/2013 09:38 AM - Sage Weil

- Target version deleted (v0.66)

#14 - 06/20/2013 11:01 PM - Sage Weil

- Status changed from 12 to Need More Info

- Assignee deleted (Joao Eduardo Luis)

http://marc.info/?l=ceph-devel&m=137179443405614&w=2

#15 - 07/09/2013 03:12 PM - Neil Levine

Piston expressed interest in hooking this up to a PKI system they are looking at. Waiting on details from them.

#16 - 02/02/2016 03:23 PM - Sage Weil

- Assignee set to Loïc Dachary

- Target version set to v10.0.4

#17 - 05/03/2016 08:36 AM - Loïc Dachary

- Assignee deleted (Loïc Dachary)

#18 - 06/29/2020 06:48 PM - Patrick Donnelly

- Target version deleted (v10.0.4)

Unsetting old target version for open tickets.
